org.apache.lucene.luke.app.desktop.components.dialog.analysis

## Enum EditFiltersMode

- java.lang.Object
- - java.lang.Enum<EditFiltersMode>
  - - org.apache.lucene.luke.app.desktop.components.dialog.analysis.EditFiltersMode

- All Implemented Interfaces:
    Serializable, Comparable<EditFiltersMode>

      public enum EditFiltersMode
      extends Enum<EditFiltersMode>

  Edit filters mode

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CHARFILTER`
    `TOKENFILTER`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EditFiltersMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static EditFiltersMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CHARFILTER

          public static final EditFiltersMode CHARFILTER

    - #### TOKENFILTER

          public static final EditFiltersMode TOKENFILTER

  - ### Method Detail

    - #### values

          public static EditFiltersMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EditFiltersMode c : EditFiltersMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EditFiltersMode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.